include:
    - project: "operator-ict/devops/gitlab-ci-pipeline"
      file:
          - "/npm/golemio-modules-publish.yml"

stages:
    - test
    - deploy

variables:
    POSTGRES_HOST: postgres
    POSTGRES_USER: oict
    POSTGRES_PASSWORD: oict-pass
    POSTGRES_DB: oict-test

cache:
    key: ${CI_COMMIT_REF_SLUG}
    paths:
        - node_modules/

run_tests:
    services:
        - name: registry.gitlab.com/operator-ict/golemio/devops/docker-postgis/12.3:postgis3
          alias: postgres
        - rabbitmq:3.7.14-alpine
    before_script:
        - export POSTGRES_CONN=postgres://$POSTGRES_USER:$POSTGRES_PASSWORD@$POSTGRES_HOST/$POSTGRES_DB
        - export RABBIT_CONN=amqp://guest:guest@rabbitmq
        - export RABBIT_EXCHANGE_NAME=oict-test
        - export SQL_DUMP_FILES=node_modules/@golemio/ropid-gtfs/db/example/*.sql
        # Temporary solution until we get rid of centralised migrations
        - yarn && cd node_modules/@golemio/schema-definitions && npm run migrate-postgres-db >/dev/null && cd -

npm_publish:
    after_script:
        - npm deprecate "@golemio/departure-boards" "This module has been merged with the PID module. Please refer here https://gitlab.com/operator-ict/golemio/code/modules/pid"
